> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Rewards History

> Gets status-wise (Active, Cancelled, Redeemed, Reversed, etc.) details of all the rewards of a member. <br /> **Note**: When the profileId query-param is not specified, this endpoint gets all rewards for all members of a company.



## OpenAPI

````yaml member get /v1/redeem
openapi: 3.0.1
info:
  title: Loyalty (Member)
  description: >-
    fabric **Loyalty** formerly **Member** is a Loyalty Management System (LMS)
    that enables marketers to create multiple loyalty strategies under a loyalty
    program to cater to various businesses and customer segments. <br />
    **Member overview**: <br /> During onboarding, you are given the necessary
    **credentials** (client_id and client_secret) to obtain an access token,
    which is required to run every call. Membership hierarchy is organized into
    Programs, Clubs, and Tiers. <br /> **Program** is the first hierarchy level
    and is where rewards and benefits are configured for the organization. <br
    /> **Club** is the second hierarchy level and is where Rules for the program
    are configured. <br />Each Club must have at least one **Tier**, which is
    used to define membership and to configure criteria and thresholds
    (including free vs paid). Additional hierarchy levels can be added to
    support the needs of your business.  <br /> Members are always enrolled into
    a **Default Tier** within a club. When members make purchases, they earn
    Points based on the rules set at the club level and/or based on promotions.
    When points in a member account reach a predefined **Threshold Value**,
    points are converted to **Rewards**. This conversion may be manual or
    automatic depending on the program configuration. Members can **Redeem**
    their rewards within the reward **Expiry Period**. Account point balances
    are updated after each point-impacting activity.
  version: 1.0.0
  contact:
    email: support@fabric.inc
  license:
    name: fabric Inc
    url: https://fabric.inc
servers:
  - url: https://vanilla-dev02-loyalty.fabric.zone/api
    description: For developers to work outside of the production environment.
  - url: https://vanilla-stg-loyalty.fabric.zone/api
    description: Replica of the production environment for testing.
  - url: https://loyalty-sbx.fabric.zone/api
    description: >-
      An isolated testing environment (UAT) to run programs without affecting
      the application, system or platform on which they run.
  - url: https://loyalty.fabric.zone/api
    description: Production environment.
security:
  - bearerAuth: []
paths:
  /v1/redeem:
    get:
      tags:
        - Redeem
      summary: Rewards History
      description: >-
        Gets status-wise (Active, Cancelled, Redeemed, Reversed, etc.) details
        of all the rewards of a member. <br /> **Note**: When the profileId
        query-param is not specified, this endpoint gets all rewards for all
        members of a company.
      operationId: redeem_read
      parameters:
        - name: profileId
          in: query
          description: >-
            Member's unique profileId, generated in the response of the `Enroll
            Member` endpoint - POST /v1/members.
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Ending number of the record (from the offset number) in the
            response. When no value is provided, the default value is 20.
          schema:
            type: integer
        - name: offset
          in: query
          description: >-
            Starting number of the record (within the total number of records)
            in the response. When no value is provided, the default value is 0.
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemberRedeemRewardsResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponseClass1'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponseClass2'
components:
  schemas:
    MemberRedeemRewardsResponse:
      type: object
      description: Metadata of issued rewards
      properties:
        status:
          title: Status
          description: Status of the call
          type: integer
          example: 200
          format: int32
        message:
          title: Message
          description: Message corresponding to the status
          type: string
          example: ''
        errors:
          title: Errors
          description: Error details, if applicable
          type: object
          properties: {}
          example: {}
        data:
          type: array
          description: Rewards data, if applicable
          items:
            $ref: '#/components/schemas/MemberRewards'
    GenericResponseClass1:
      type: object
      description: Bad request
      properties:
        message:
          title: Message
          minLength: 1
          type: string
          description: Message corresponding to the call.
          example: Error message string
        errors:
          title: Errors
          type: object
          properties: {}
          description: A dictionary of lists with different number of errors or exceptions.
          example:
            ExceptionString:
              - Invalid Field
        data:
          title: Data
          type: object
          properties: {}
          description: Returns data in the form of a list of dictionaries or null
          example: null
        status:
          title: Status
          type: integer
          description: Status code of the call
          example: 400
          format: int32
    GenericResponseClass2:
      type: object
      description: Unauthorized
      properties:
        detail:
          title: Detail
          type: string
          description: Message corresponding to the response
          example: Authentication Failed
    MemberRewards:
      type: object
      description: Reward history details
      properties:
        profileId:
          title: Profileid
          type: string
          description: >-
            Profile ID of the member. In an ecosystem, it acts as a primary ID
            to keep the various systems (apps, websites, etc.) in sync.
          example: 67460e74-02e3-11e8-b443-00163e990bdb
          format: uuid
        redemptionCode:
          title: Redemptioncode
          type: string
          description: >-
            Redemption code to identify and link the rewards used in a specific
            transaction. This code is generated in the response of the `Issue
            Variable Rewards` endpoint - POST /api/v1/redeem/reward/issue.
          example: 04c229d7-03cb-421f-9d77-1c0ff1fc2641
          format: uuid
        pointsToRedeem:
          title: Pointstoredeem
          type: number
          format: integer
          description: Number of points to be redeemed.
          example: 100
        pointCost:
          title: Pointcost
          type: number
          format: float
          description: >-
            Ratio of dollar value of reward to the points being redeemed. For
            example, a value of 0.5 indicates that 1 dollar redeemed consumed 2
            points.
          example: 0.5
        status:
          title: Status
          minLength: 1
          type: string
          description: Reward status such as Active or Redeemed
          example: Redeemed
        amountToRedeem:
          title: Amounttoredeem
          type: number
          format: float
          description: >-
            Dollar amount to be redeemed. Maximum amount to be redeemed (or the
            reward limit) is configurable. When a member has $100 in their
            loyalty account and the store has a reward limit of $50, they can
            use two rewards certificates to redeem the amount fully.
          example: 50
        rewardTypeExternalReference:
          title: Rewardtypeexternalreference
          description: For internal usage only.
          maxLength: 100
          type: string
          example: TYPE_A REWARD
        redeemLocationExternalReference:
          title: Redeemlocationexternalreference
          maxLength: 100
          type: string
          description: >-
            External reference (ID or name) of the location where the rewards
            were redeemed.
          example: STORE_A
        redeemedTimestamp:
          title: Redeemedtimestamp
          type: string
          description: Date of redemption (in UTC format)
          example: '2020-03-20T01:30:08.180856'
          format: date-time
        merchantId:
          title: Merchantid
          maxLength: 100
          type: string
          description: Merchant ID. If configured, it is returned in the response.
          example: 1234
        merchantName:
          title: Merchantname
          maxLength: 500
          type: string
          description: Merchant name
          example: adam horowitz
        issueAuditUser:
          title: Issueaudituser
          maxLength: 200
          type: string
          description: Representative who issued the rewards.
          example: john
        redeemAuditUser:
          title: Redeemaudituser
          maxLength: 200
          type: string
          description: Representative who redeemed the rewards.
          example: john
        cancelAuditUser:
          title: Cancelaudituser
          maxLength: 200
          type: string
          description: Representative who cancelled the rewards.
          example: ''
        eligibleRevenue:
          title: Eligiblerevenue
          type: number
          format: float
          description: >-
            Revenue generated from the items in a transaction that are
            configured as 'eligible' for earning points.
          example: 0
        expirationDate:
          title: Expirationdate
          type: string
          description: Reward expiration time
          example: '2020-03-31T23:59:59.000000'
          format: date-time
        activityDate:
          title: Activitydate
          type: string
          description: Activity timestamp (UTC format)
          example: '2020-03-20T01:30:08.180856'
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````